{html_head}
{literal}
<style type="text/css">
form { width: 750px; }
fieldset { padding-bottom: 30px; }
p, form p { text-align: left; margin-left:20px; }
li { margin: 5px; }
</style>
{/literal}

<script type="text/javascript">
jQuery(document).ready(function() {ldelim}
	jQuery('input[name="submit"]').click(function() {ldelim}
    if(!confirm('{'autoupdate_alert'|@translate}'))
      return false;
    jQuery(this).hide();
    jQuery('.autoupdate_bar').show();
	});
});
</script>
{/html_head}

<div class="titrePage">
{if $STEP < 2}
<h2>Piwigo AutoUpgrade</h2>
{else}
<h2>{'Upgrade to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}</h2>
{/if}
</div>

{if $STEP == 0}
  {if $CHECK_VERSION}
    <p>{'You are running the latest version of Piwigo.'|@translate}</p>
  {elseif $DEV_VERSION} 
    <p>{'You are running on development sources, no check possible.'|@translate}</p>
  {else}
    <p>{'Check for upgrade failed for unknown reasons.'|@translate}</p>
  {/if}
{/if}

{if $STEP == 1}
<h4>{'Two upgrades are available'|@translate}:</h4>
<p>
<ul>
  <li><a href="{$AU_URL}&amp;step=2&amp;to={$MINOR_VERSION}"><strong>{'Upgrade to Piwigo %s'|@translate|@sprintf:$MINOR_VERSION}</strong></a>: {'This is a minor upgrade, with only bug corrections.'|@translate}</li>
  <li><a href="{$AU_URL}&amp;step=3&amp;to={$MAJOR_VERSION}"><strong>{'Upgrade to Piwigo %s'|@translate|@sprintf:$MAJOR_VERSION}</strong></a>: {'This is a major upgrade, with <a href="%s">new exciting features</a>.'|@translate|@sprintf:$RELEASE_URL} {'Some themes and plugins may be not available yet.'|@translate}</li>
</ul>
</p>
<p>{'You can upgrade to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'|@translate|@sprintf:$MAJOR_VERSION:$MINOR_VERSION}</p>
{/if}

{if $STEP == 2}
<p>
  {'A new version of Piwigo is available.'|@translate}<br>
  {'This is a minor upgrade, with only bug corrections.'|@translate}
</p>
<form action="" method="post">
<p><input type="submit" name="submit" value="{'Upgrade to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}"></p>
<p class="autoupdate_bar" style="display:none;">&nbsp; {'Update in progress...'|@translate}<br><img src="plugins/autoupdate/template/ajax-loader-bar.gif"></p>
<p><input type="hidden" name="upgrade_to" value="{$UPGRADE_TO}"></p>
</form>
{/if}

{if $STEP == 3}
<p>
  {'A new version of Piwigo is available.'|@translate}<br>
  {'This is a major upgrade, with <a href="%s">new exciting features</a>.'|@translate|@sprintf:$RELEASE_URL} {'Some themes and plugins may be not available yet.'|@translate}
</p>
<form action="" method="post">

{if version_compare($PHPWG_VERSION, '2.1', '<')}
{counter assign=i}
<fieldset>
  <legend>{'autoupdate_step_'|cat:$i|@translate}</legend>
  <p><input type="submit" name="saveTemplate" value="{'Save Template Directory'|@translate}"></p>
</fieldset>
{/if}

{counter assign=i}
<fieldset>
  <legend>{'autoupdate_step_'|cat:$i|@translate}</legend>
  <p><input type="checkbox" name="includeHistory"> &nbsp; {'Include history data (Warning: server memory limit may be exceeded)'|@translate}</p>
  <p><input type="submit" name="dumpDatabase" value="{'Dump Database'|@translate}"></p>
</fieldset>

{counter assign=i}
<fieldset>
  <legend>{'autoupdate_step_'|cat:$i|@translate}</legend>
  <p><input type="submit" name="submit" value="{'Upgrade to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}"></p>
  <p class="autoupdate_bar" style="display:none;">&nbsp; {'Update in progress...'|@translate}<br><img src="plugins/autoupdate/template/ajax-loader-bar.gif"></p>
</fieldset>

<p><input type="hidden" name="upgrade_to" value="{$UPGRADE_TO}"></p>
</form>
{/if}